data:extend(
{
  {
    type = "item-subgroup",
    name = "new-production",
    group = "production",
    order = "g",
  },
  {
    type = "recipe",
    name = "automated-workbench",
    energy_required = 2,
    ingredients =
    {
      {"iron-plate", 2},
      {"iron-gear-wheel", 2},
      {"electronic-circuit", 1},
    }, -- FIXME: Tweak some more some day
    result = "automated-workbench"
  },
  {
    type = "item",
    name = "automated-workbench",
    icon = "__base__/graphics/icons/assembling-machine-1.png", -- FIXME: Will have to do for now
    flags = {"goes-to-quickbar"},
    subgroup = "new-production",
    order = "a[automated-workbench]",
    place_result = "automated-workbench",
    stack_size = 50
  },
  {
    type = "assembling-machine",
    name = "automated-workbench",
    icon = "__base__/graphics/icons/assembling-machine-1.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "automated-workbench"},
    max_health = 50, -- FIXME: More arbitrary values
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}}, -- FIXME: Not entirely correct...
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    fast_replaceable_group = "assembling-machine", -- ?
    animation =
    {
      filename = "__base__/graphics/entity/assembling-machine-1/assembling-machine-1.png",
      priority="high",
      width = 99,
      height = 102,
      frame_count = 32,
      line_length = 8,
      shift = {0.25, -0.1},
      scale = 0.5
    },
    crafting_categories = {"crafting"},
    crafting_speed = 2.5, -- FIXME: Need some serious balancing along with all item construction times
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      -- No emissions (why do Assembly Machines have it?)
    },
    energy_usage = "30kW", -- Set to 1/3 of lvl 1 Assembling Machine for now
    ingredient_count = 1,
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        {
          filename = "__base__/sound/assembling-machine-t1-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t1-2.ogg",
          volume = 0.8
        },
      },
      idle_sound =
      {
        filename = "__base__/sound/idle1.ogg",
        volume = 0.6
      },
      apparent_volume = 1.5,
    }
  },
}
)