data:extend(
{
  {
    type = "recipe",
    name = "stone-axe",
    energy_required = 2,
    ingredients =
    {
      {"stone-brick", 1},
      {"wood", 1},
    },
    result = "stone-axe"
  },
  {
    type = "recipe",
    name = "iron-axe",
    energy_required = 2,
    ingredients =
    {
      {"iron-plate", 3},
      {"iron-stick", 2},
    },
    result = "iron-axe"
  },
  {
    type = "recipe",
    name = "steel-axe",
    enabled = false,
    energy_required = 2,
    ingredients =
    {
      {"steel-plate", 5},
      {"iron-stick", 2}
    },
    result = "steel-axe"
  },
  {
    type = "mining-tool",
    name = "stone-axe",
    icon = "__base__/graphics/icons/iron-axe.png",
    flags = {"goes-to-main-inventory"},
    action =
    {
      type="direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
            type = "damage",
            damage = { amount = 2 , type = "physical"}
        }
      }
    },
    durability = 2500,
    subgroup = "tool",
    order = "a[mining]-a[stone-axe]",
    speed = 2.0,
    stack_size = 20
  },
  {
    type = "mining-tool",
    name = "iron-axe",
    icon = "__base__/graphics/icons/iron-axe.png",
    flags = {"goes-to-main-inventory"},
    action =
    {
      type="direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
            type = "damage",
            damage = { amount = 5 , type = "physical"}
        }
      }
    },
    durability = 5000,
    subgroup = "tool",
    order = "a[mining]-b[iron-axe]",
    speed = 3.0,
    stack_size = 20
  }, -- Speed up from 2.5, Durability up from 4000
  {
    type = "mining-tool",
    name = "steel-axe",
    icon = "__base__/graphics/icons/steel-axe.png",
    flags = {"goes-to-main-inventory"},
    action =
    {
      type="direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
            type = "damage",
            damage = { amount = 8 , type = "physical"}
        }
      }
    },
    durability = 7500,
    subgroup = "tool",
    order = "a[mining]-c[steel-axe]",
    speed = 4.0,
    stack_size = 20
  }, -- [TOFM] Durability up from 5000
}
)