data:extend(
{
  {
    type = "technology",
    name = "automation",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-1"
      },
      {
        type = "unlock-recipe",
        recipe = "long-handed-inserter"
      },
      {
        type = "unlock-recipe",
        recipe = "basic-mining-drill"
      },
    },
    unit =
    {
      count = 10,
      ingredients = {{"science-pack-1", 1}},
      time = 10
    },
    order = "a-b-a",
  }, -- Unlocks advanced drill now
  {
    type = "technology",
    name = "military",
    icon = "__base__/graphics/technology/military.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "submachine-gun"
      },
      {
        type = "unlock-recipe",
        recipe = "shotgun"
      },
      {
        type = "unlock-recipe",
        recipe = "shotgun-shell"
      },
      {
        type = "unlock-recipe",
        recipe = "radar"
      }
    },
    unit =
    {
      count = 10,
      ingredients = {{"science-pack-1", 1}},
      time = 15
    },
    order = "e-a-a"
  }, -- Unlocks radar now
  {
    type = "technology",
    name = "basic-fluid-handling",
    icon = "__base__/graphics/technology/fluid-handling.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "boiler"
      },
      {
        type = "unlock-recipe",
        recipe = "offshore-pump"
      },
      {
        type = "unlock-recipe",
        recipe = "steam-engine"
      }
    },
    unit =
    {
      count = 10, -- 10 or 20?
      ingredients = {{"science-pack-1", 1}},
      time = 10 -- 10 or 15?
    },
    order = "a-f-a", -- FIXME: ?
  },
}
)